/**
* DevExtreme (animation/presets.d.ts)
* Version: 21.1.0 (build 21089-0329)
* Build date: Tue Mar 30 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    Device
} from '../core/devices';

import {
    animationConfig
} from './fx';

/**
 */
export default class animationPresets {
    /**
     */
    applyChanges(): void;
    /**
     */
    clear(): void;
    /**
     */
    clear(name: string): void;
    /**
     */
    getPreset(name: string): any;
    /**
     */
    registerDefaultPresets(): void;
    /**
     */
    registerPreset(name: string, config: { animation?: animationConfig, device?: Device }): void;
    /**
     */
    resetToDefaults(): void;
}
