/**
* DevExtreme (animation/transition_executor.d.ts)
* Version: 21.1.0 (build 21089-0329)
* Build date: Tue Mar 30 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    TElementsArray
} from '../core/element';

import {
    TPromise
} from '../core/utils/deferred';

import {
    animationConfig
} from './fx';

/**
 */
export default class TransitionExecutor {
    /**
     */
    enter(elements: TElementsArray, animation: animationConfig | string): void;
    /**
     */
    leave(elements: TElementsArray, animation: animationConfig | string): void;
    /**
     */
    reset(): void;
    /**
     */
    start(): TPromise<void>;
    /**
     */
    stop(): void;
}
