/**
* DevExtreme (core/templates/template.d.ts)
* Version: 21.1.0 (build 21089-0329)
* Build date: Tue Mar 30 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    TElement
} from '../element';

/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface dxTemplateOptions {
    /**
     */
    name?: string;
}
/**
 */
export type dxTemplate = Template;
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export class Template {
    constructor(options?: dxTemplateOptions)
}

/**
 */
export type template = string | Function | TElement;
