/**
* DevExtreme (ui/validation_summary.d.ts)
* Version: 21.1.0 (build 21089-0329)
* Build date: Tue Mar 30 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    TElement
} from '../core/element';

import CollectionWidget, {
    CollectionWidgetOptions
} from './collection/ui.collection_widget.base';

/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface dxValidationSummaryOptions extends CollectionWidgetOptions<dxValidationSummary> {
    /**
     */
    validationGroup?: string;
}
/**
 */
export default class dxValidationSummary extends CollectionWidget {
    constructor(element: TElement, options?: dxValidationSummaryOptions)
}

/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export type Options = dxValidationSummaryOptions;

/** @deprecated use Options instead */
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export type IOptions = dxValidationSummaryOptions;
