/**
 * DevExtreme (esm/renovation/ui/scroll_view/scrollable_simulated_props.js)
 * Version: 21.1.0 (build 21089-0329)
 * Build date: Tue Mar 30 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import {
    ScrollableProps
} from "./scrollable_props";
import {
    BaseWidgetProps
} from "../../utils/base_props";
export var ScrollableSimulatedProps = _extends({}, ScrollableProps, {
    inertiaEnabled: true,
    defaultContentTranslateOffset: {
        left: 0,
        top: 0
    }
});
export var ScrollableSimulatedPropsType = {
    inertiaEnabled: ScrollableSimulatedProps.inertiaEnabled,
    defaultContentTranslateOffset: ScrollableSimulatedProps.defaultContentTranslateOffset,
    useNative: ScrollableSimulatedProps.useNative,
    direction: ScrollableSimulatedProps.direction,
    showScrollbar: ScrollableSimulatedProps.showScrollbar,
    scrollByThumb: ScrollableSimulatedProps.scrollByThumb,
    bounceEnabled: ScrollableSimulatedProps.bounceEnabled,
    scrollByContent: ScrollableSimulatedProps.scrollByContent,
    useKeyboard: ScrollableSimulatedProps.useKeyboard,
    forceGeneratePockets: ScrollableSimulatedProps.forceGeneratePockets,
    needScrollViewContentWrapper: ScrollableSimulatedProps.needScrollViewContentWrapper,
    disabled: BaseWidgetProps.disabled,
    visible: BaseWidgetProps.visible
};
