/**
 * DevExtreme (esm/renovation/ui/scroll_view/scrollbar_props.js)
 * Version: 21.1.0 (build 21089-0329)
 * Build date: Tue Mar 30 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import {
    ScrollableInternalProps
} from "./scrollable_props";
export var ScrollbarProps = _extends({}, ScrollableInternalProps, {
    activeStateEnabled: false,
    expandable: true,
    direction: "vertical",
    scaleRatio: 1,
    containerSize: 0,
    contentSize: 0,
    baseContainerSize: 0,
    baseContentSize: 0,
    scrollableOffset: 0,
    scrollByThumb: false,
    scrollScrollbar: "onScroll",
    isScrollableHovered: false,
    bounceEnabled: true,
    forceVisibility: false
});
