/**
* DevExtreme (renovation/viz/sparklines/types.d.ts)
* Version: 21.1.0 (build 21089-0329)
* Build date: Tue Mar 30 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface ArgumentAxisRange {
  invert: boolean;
  min?: number;
  max?: number;
  axisType: string;
  dataType: string;
}

/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface ValueAxisRange {
  min?: number;
  max?: number;
  axisType: string;
  dataType: string;
}

/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface BulletScaleProps {
  inverted: boolean;
  value: number;
  target: number;
  startScaleValue: number;
  endScaleValue: number;
}
