/**
* DevExtreme (ui/track_bar.d.ts)
* Version: 21.1.0 (build 21089-0329)
* Build date: Tue Mar 30 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    TElement
} from '../core/element';

import Editor, {
    EditorOptions
} from './editor/editor';

/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface dxTrackBarOptions<T = dxTrackBar> extends EditorOptions<T> {
    /**
     */
    max?: number;
    /**
     */
    min?: number;
}
/**
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export default class dxTrackBar extends Editor {
    constructor(element: TElement, options?: dxTrackBarOptions)
}
